using System;
using System.Text;

namespace TeslaConsole.RedPlanet;

[Serializable]
internal class RPCamera : RPParticipant
{
	public RPCamera(string podHostAddress, HostType hostType)
		: base(podHostAddress, hostType)
	{
		if (hostType != HostType.MissionReviewHostType)
		{
			throw new ArgumentOutOfRangeException("hostType");
		}
	}

	protected sealed override void AppendParticipantSpecificData(int index, StringBuilder sb)
	{
		sb.Append("dropzone=one\n");
		sb.Append("name=Camera\n");
		sb.Append("loadzones=0\n");
		sb.Append("vehicle=camera\n");
		sb.Append("color=Black\n");
		sb.Append("badge=None\n");
		sb.Append("team=Camera\n");
	}
}
